Foreman - Bug #29239

Default PXE global template entry "discovery" no longer works for EFl systems
03/02/2020 01:17 PM - Lukas Zapletal
Target version: 2.0.0
Pull request: https://github.com/theforeman/communit
y-templates/pull/696,
https://github.com/theforeman/communit
https://github.com/theforeman/communit
y-templates/pull/717
Description
We have changed global template to this:
menuentry 'Foreman Discovery Image <%= suffix %>' —--id discovery<%= suffix %> {

linux<%= suffix %> boot/fdi-image/vmlinuz0 rootflags=loop root=live:/fdi

.iso rootfstype=auto ro

rd.live.image acpi=force rd.luks=0 rd.md=0 rd.dm=0 rd.lvm=0 rd.bootif=0 rd.neednet=0 nokaslr nomod

eset proxy.url=<%$= foreman_server_url $%$> proxy.type=foreman BOOTIF=01-S$mac

initrd<%= suffix %> boot/fdi-image/initrd0.img

}

By adding <%= suffix > to the --id discovery, it is no longer possible to force systems to load the discovery image using the "Default
PXE global template entry" in systems mixed with UEFI and non-UEFI machines. Adding the <= suffix %> to the menu item test

makes sense, changing the --id not so much. Is there a reason why the --id section was changed?

Associated revisions

Revision 3f215666 - 03/27/2020 01:27 PM - Lukas Zapletal

Fixes #29239 - unify discovery grub2 menu items

History

#1 - 03/06/2020 11:54 AM - Lukas Zapletal

- Project changed from Discovery to Templates
- Category deleted (Discovery plugin)

- Target version deleted (Discovery Plugin 16.0)

#2 - 03/06/2020 11:55 AM - Lukas Zapletal
- Project changed from Templates to Foreman
- Category set to Templates

- Fixed in Releases 2.1.0 added

#3 - 03/06/2020 11:59 AM - Lukas Zapletal
- Target version set to 2.1.0

- Fixed in Releases deleted (2.1.0)

#4 - 03/06/2020 12:01 PM - Lukas Zapletal
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/696 added
#5 - 03/06/2020 12:03 PM - The Foreman Bot

- Assignee set to Lukas Zapletal

#6 - 03/27/2020 12:27 PM - Lukas Zapletal
- Target version changed from 2.1.0 to 2.0.0

Actually this is a regression it seems, | will try to hit 2.0 for this one.

#7 - 03/27/2020 01:27 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#8 - 03/27/2020 02:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|3f2156666fb5379eb13cbf9d0d2071bb852b8e96.

#9 - 03/30/2020 08:25 AM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/714 added

#10 - 04/01/2020 01:02 PM - Tomer Brisker
- Fixed in Releases 2.0.0 added
- Fixed in Releases deleted (2.1.0)

#11 - 04/07/2020 09:59 AM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/717 added
